For the complete documentation index, see llms.txt. This page is also available as Markdown.

Table

put

Update table

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Body
Responses
200

Success: updated table

application/json
idstring · nullableOptionalDefault: null
codestringRequired
titlestringRequired
bodystring[]Required
durabilitystring · enum · nullableOptionalDefault: temporaryPossible values:
durationinteger · nullableOptionalDefault: 5000
kindstring · enum · nullableOptionalDefault: infoPossible values:
payloadanyOptionalDefault: null
actionobject · Action · nullableOptionalDefault: null
displaystring · enum · nullableOptionalDefault: notificationPossible values:
created_atstring · nullableOptionalDefault: null
put/api/v1/table/
put
Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
database_idstringRequired
Query parameters
is_excludedbooleanRequired
Body
schema_namesstring[] · nullableOptionalDefault: null
table_idsstring · uuid[] · nullableOptionalDefault: null
not_table_idsstring · uuid[] · nullableOptionalDefault: null
table_keywordstring · nullableOptionalDefault: null
column_keywordstring · nullableOptionalDefault: null
Responses
204

No response body

No content

put/api/v1/table/{database_id}/exclude/
204

No response body

No content

get

Get single table

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
table_idstringRequired
Responses
200

Success: Single table

application/json
idstring · uuidRequired
n_rowsinteger · nullableOptionalDefault: null
n_rows_sourceinteger · nullableOptionalDefault: null
fk_scanboolean · nullableOptionalDefault: null
is_excludedboolean · nullableOptionalDefault: null
n_training_rowsinteger · nullableOptionalDefault: null
adjust_n_rows_allowedboolean · nullableOptionalDefault: null
order_by_columnsstring[] · nullableOptionalDefault: null
database_idstring · uuidRequired
namestringRequired
schema_name_sourcestringRequired
schema_name_targetstring · nullableOptionalDefault: null
check_constraintsobject[] · nullableOptionalDefault: null
data_in_targetboolean · nullableOptionalDefault: null
sample_noise_rationumber · nullableOptionalDefault: null
max_n_feat_per_modelinteger · nullableOptionalDefault: null
feat_model_train_orderstring · nullableOptionalDefault: null
min_sample_sizeinteger · nullableOptionalDefault: null
n_columnsinteger · nullableOptionalDefault: null
has_unprotected_piiboolean · nullableOptionalDefault: null
sync_statusstring · enum · nullableOptionalDefault: nullPossible values:
indexinteger · nullableOptionalDefault: null
kindstringRequired
engine_idstring · uuid · nullableOptionalDefault: null
has_data_learnerboolean · nullableOptionalDefault: null
get/api/v1/table/{table_id}/
get

List first 100 rows of table

Authorizations
sessionidstringRequired

Log in using the POST /api/v1/auth/ endpoint

Path parameters
table_idstringRequired
Responses
200

Success: List of table rows

application/json
resultsobject[] · nullableOptionalDefault: null
get/api/v1/table/{table_id}/preview/

Last updated

Was this helpful?